.services {
    padding-bottom: rem(30);

    &__header {
        text-align: center;
        margin-bottom: rem(30);

        &--title {
            color: #161F30;
            font-weight: 700;
            font-size: rem(30);
            line-height: rem(37);
            margin-bottom: rem(12);
        }

        &--text {
            color: #727272;
            font-size: rem(16);
            line-height: 140%;
        }
    }

    &__body {
        margin: 0 rem(-20);
    }

    &__item {
        color: $white;
        font-weight: 700;
        font-size: rem(22);
        line-height: 120%;
        position: relative;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 5;
            content: '';
            position: absolute;
            background: linear-gradient(34.6deg, rgba(0, 0, 0, 0.33) 2.25%, rgba(0, 0, 0, 0) 74.21%);
        }
    }

    &__name {
        z-index: 20;
        left: 0;
        right: 0;
        bottom: 0;
        height: rem(100);
        position: absolute;
        padding: 0 rem(40);

        small {
            font-size: rem(15);
            font-weight: 400;
            display: block;
        }
    }

    &__footer {
        text-align: center;
        padding-top: rem(30);
    }

    &__lead {
        font-weight: 700;
        font-size: rem(23);
        line-height: rem(28);
        margin-bottom: rem(31);
    }

    &__button {
        padding: 0 rem(0);

        .btn {
            width: 100%;
        }
    }

    @include media-breakpoint-up(sm) {

        &__body {
            margin: 0;
            display: grid;
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(60);
        padding-bottom: rem(60);

        &__header {
            text-align: left;
            margin-bottom: rem(42);

            &--title {
                font-size: rem(44);
                line-height: rem(54);
                margin-bottom: rem(7);
            }

            &--text {
                font-size: rem(18);
            }
        }

        &__body {
            margin-bottom: rem(64);
        }

        &__footer {
            text-align: left;
            padding-top: rem(50);
            border-top: 1px solid #F0F0F0;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__lead {
            margin: 0;
            max-width: rem(768);
        }

        &__button {
            padding: 0;
            width: rem(275);
            margin: 0 0 0 rem(40);
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(lg) {

        &__body {
            grid-template-columns: 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {

        &__lead {
            font-size: rem(30);
            line-height: rem(37);
        }
    }
}
